# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "ferret"
  s.version = "0.11.8.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["David Balmain"]
  s.date = "2012-11-26"
  s.description = "Ferret is a super fast, highly configurable search library."
  s.email = "dbalmain@gmail.com"
  s.executables = ["ferret-browser"]
  s.extensions = ["ext/extconf.rb"]
  s.extra_rdoc_files = ["README", "TODO", "TUTORIAL", "MIT-LICENSE", "ext/r_analysis.c", "ext/r_index.c", "ext/r_qparser.c", "ext/r_search.c", "ext/r_store.c", "ext/r_utils.c", "ext/ferret.c"]
  s.files = ["setup.rb", "CHANGELOG", "MIT-LICENSE", "Rakefile", "README", "RELEASE_CHANGES", "RELEASE_NOTES", "TODO", "TUTORIAL", "lib/ferret/browser/webrick.rb", "lib/ferret/browser.rb", "lib/ferret/document.rb", "lib/ferret/field_infos.rb", "lib/ferret/field_symbol.rb", "lib/ferret/index.rb", "lib/ferret/number_tools.rb", "lib/ferret/version.rb", "lib/ferret.rb", "lib/ferret/browser/views/document/list.rhtml", "lib/ferret/browser/views/document/show.rhtml", "lib/ferret/browser/views/error/index.rhtml", "lib/ferret/browser/views/help/index.rhtml", "lib/ferret/browser/views/home/index.rhtml", "lib/ferret/browser/views/layout.rhtml", "lib/ferret/browser/views/term/index.rhtml", "lib/ferret/browser/views/term/termdocs.rhtml", "lib/ferret/browser/views/term-vector/index.rhtml", "lib/ferret/browser/s/style.css", "lib/ferret/browser/s/global.js", "test/long_running/largefile/tc_largefile.rb", "test/test_all.rb", "test/test_helper.rb", "test/test_installed.rb", "test/threading/number_to_spoken.rb", "test/threading/thread_safety_index_test.rb", "test/threading/thread_safety_read_write_test.rb", "test/threading/thread_safety_test.rb", "test/unit/analysis/tc_analyzer.rb", "test/unit/analysis/tc_token_stream.rb", "test/unit/index/tc_index.rb", "test/unit/index/tc_index_reader.rb", "test/unit/index/tc_index_writer.rb", "test/unit/index/th_doc.rb", "test/unit/query_parser/tc_query_parser.rb", "test/unit/search/tc_filter.rb", "test/unit/search/tc_fuzzy_query.rb", "test/unit/search/tc_index_searcher.rb", "test/unit/search/tc_multi_searcher.rb", "test/unit/search/tc_multiple_search_requests.rb", "test/unit/search/tc_search_and_sort.rb", "test/unit/search/tc_sort.rb", "test/unit/search/tc_sort_field.rb", "test/unit/search/tc_spans.rb", "test/unit/search/tm_searcher.rb", "test/unit/store/tc_fs_store.rb", "test/unit/store/tc_ram_store.rb", "test/unit/store/tm_store.rb", "test/unit/store/tm_store_lock.rb", "test/unit/tc_document.rb", "test/unit/tc_field_symbol.rb", "test/unit/ts_analysis.rb", "test/unit/ts_index.rb", "test/unit/ts_largefile.rb", "test/unit/ts_query_parser.rb", "test/unit/ts_search.rb", "test/unit/ts_store.rb", "test/unit/ts_utils.rb", "test/unit/utils/tc_bit_vector.rb", "test/unit/utils/tc_number_tools.rb", "test/unit/utils/tc_priority_queue.rb", "test/utils/content_generator.rb", "ext/ferret.c", "ext/ferret.h", "ext/lang.c", "ext/lang.h", "ext/r_analysis.c", "ext/r_index.c", "ext/r_qparser.c", "ext/r_search.c", "ext/r_store.c", "ext/r_utils.c", "ext/symbol.c", "ext/symbol.h", "ext/threading.h", "ext/analysis.c", "ext/array.c", "ext/bitvector.c", "ext/compound_io.c", "ext/document.c", "ext/except.c", "ext/field_index.c", "ext/filter.c", "ext/fs_store.c", "ext/global.c", "ext/hash.c", "ext/hashset.c", "ext/helper.c", "ext/index.c", "ext/mempool.c", "ext/multimapper.c", "ext/posh.c", "ext/priorityqueue.c", "ext/q_boolean.c", "ext/q_const_score.c", "ext/q_filtered_query.c", "ext/q_fuzzy.c", "ext/q_match_all.c", "ext/q_multi_term.c", "ext/q_parser.c", "ext/q_phrase.c", "ext/q_prefix.c", "ext/q_range.c", "ext/q_span.c", "ext/q_term.c", "ext/q_wildcard.c", "ext/ram_store.c", "ext/scanner.c", "ext/scanner.h", "ext/scanner_mb.c", "ext/scanner_utf8.c", "ext/search.c", "ext/similarity.c", "ext/sort.c", "ext/stopwords.c", "ext/store.c", "ext/term_vectors.c", "ext/analysis.h", "ext/array.h", "ext/bitvector.h", "ext/config.h", "ext/document.h", "ext/except.h", "ext/field_index.h", "ext/global.h", "ext/hash.h", "ext/hashset.h", "ext/helper.h", "ext/index.h", "ext/mempool.h", "ext/multimapper.h", "ext/posh.h", "ext/priorityqueue.h", "ext/search.h", "ext/similarity.h", "ext/store.h", "ext/win32.h", "ext/BZLIB_blocksort.c", "ext/BZLIB_bzlib.c", "ext/bzlib.h", "ext/bzlib_private.h", "ext/BZLIB_compress.c", "ext/BZLIB_crctable.c", "ext/BZLIB_decompress.c", "ext/BZLIB_huffman.c", "ext/BZLIB_randtable.c", "ext/STEMMER_stem_ISO_8859_1_danish.c", "ext/stem_ISO_8859_1_danish.h", "ext/STEMMER_stem_ISO_8859_1_dutch.c", "ext/stem_ISO_8859_1_dutch.h", "ext/STEMMER_stem_ISO_8859_1_english.c", "ext/stem_ISO_8859_1_english.h", "ext/STEMMER_stem_ISO_8859_1_finnish.c", "ext/stem_ISO_8859_1_finnish.h", "ext/STEMMER_stem_ISO_8859_1_french.c", "ext/stem_ISO_8859_1_french.h", "ext/STEMMER_stem_ISO_8859_1_german.c", "ext/stem_ISO_8859_1_german.h", "ext/STEMMER_stem_ISO_8859_1_hungarian.c", "ext/stem_ISO_8859_1_hungarian.h", "ext/STEMMER_stem_ISO_8859_1_italian.c", "ext/stem_ISO_8859_1_italian.h", "ext/STEMMER_stem_ISO_8859_1_norwegian.c", "ext/stem_ISO_8859_1_norwegian.h", "ext/STEMMER_stem_ISO_8859_1_porter.c", "ext/stem_ISO_8859_1_porter.h", "ext/STEMMER_stem_ISO_8859_1_portuguese.c", "ext/stem_ISO_8859_1_portuguese.h", "ext/STEMMER_stem_ISO_8859_1_spanish.c", "ext/stem_ISO_8859_1_spanish.h", "ext/STEMMER_stem_ISO_8859_1_swedish.c", "ext/stem_ISO_8859_1_swedish.h", "ext/STEMMER_stem_ISO_8859_2_romanian.c", "ext/stem_ISO_8859_2_romanian.h", "ext/STEMMER_stem_KOI8_R_russian.c", "ext/stem_KOI8_R_russian.h", "ext/STEMMER_stem_UTF_8_danish.c", "ext/stem_UTF_8_danish.h", "ext/STEMMER_stem_UTF_8_dutch.c", "ext/stem_UTF_8_dutch.h", "ext/STEMMER_stem_UTF_8_english.c", "ext/stem_UTF_8_english.h", "ext/STEMMER_stem_UTF_8_finnish.c", "ext/stem_UTF_8_finnish.h", "ext/STEMMER_stem_UTF_8_french.c", "ext/stem_UTF_8_french.h", "ext/STEMMER_stem_UTF_8_german.c", "ext/stem_UTF_8_german.h", "ext/STEMMER_stem_UTF_8_hungarian.c", "ext/stem_UTF_8_hungarian.h", "ext/STEMMER_stem_UTF_8_italian.c", "ext/stem_UTF_8_italian.h", "ext/STEMMER_stem_UTF_8_norwegian.c", "ext/stem_UTF_8_norwegian.h", "ext/STEMMER_stem_UTF_8_porter.c", "ext/stem_UTF_8_porter.h", "ext/STEMMER_stem_UTF_8_portuguese.c", "ext/stem_UTF_8_portuguese.h", "ext/STEMMER_stem_UTF_8_romanian.c", "ext/stem_UTF_8_romanian.h", "ext/STEMMER_stem_UTF_8_russian.c", "ext/stem_UTF_8_russian.h", "ext/STEMMER_stem_UTF_8_spanish.c", "ext/stem_UTF_8_spanish.h", "ext/STEMMER_stem_UTF_8_swedish.c", "ext/stem_UTF_8_swedish.h", "ext/STEMMER_stem_UTF_8_turkish.c", "ext/stem_UTF_8_turkish.h", "ext/STEMMER_api.c", "ext/api.h", "ext/header.h", "ext/STEMMER_utilities.c", "ext/STEMMER_libstemmer.c", "ext/modules.h", "ext/libstemmer.h", "ext/internal.h", "bin/ferret-browser", "ext/extconf.rb"]
  s.homepage = "http://github.com/jkraemer/ferret"
  s.rdoc_options = ["--title", "Ferret -- Ruby Search Library", "--main", "README", "--line-numbers", "TUTORIAL", "TODO"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "ferret"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby indexing library."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
